libjavascript-minifier-xs-perl_0.09-2+b2_amd64.deb


Advertisement

Description

libjavascript-minifier-xs-perl - XS based JavaScript minifier

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libjavascript-minifier-xs-perl
Package version 0.09
Package release 2+b2
Package architecture amd64
Package type deb
Installed size 30 B
Download size 15.03 KB
Official Mirror ftp.br.debian.org
JavaScript::Minifier::XS is a JavaScript "minifier"; its designed to remove
un-necessary whitespace and comments from JavaScript files, while also not
breaking the JavaScript.
JavaScript::Minifier::XS is similar in function to JavaScript::Minifier, but
is substantially faster as its written in XS and not just pure Perl.

Alternatives

Package Version Architecture Repository
libjavascript-minifier-xs-perl_0.09-2+b2_i386.deb 0.09 i386 Debian Main
libjavascript-minifier-xs-perl - - -

Requires

Name Value
libc6 >= 2.14
perl >= 5.20.0-4
perlapi-5.20.0 -

Download

Type URL
Binary Package libjavascript-minifier-xs-perl_0.09-2+b2_amd64.deb
Source Package libjavascript-minifier-xs-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjavascript-minifier-xs-perl deb package:
    # sudo apt-get install libjavascript-minifier-xs-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/JavaScript/Minifier/XS.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/JavaScript/Minifier/XS/XS.bs
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/JavaScript/Minifier/XS/XS.so
/usr/share/doc/libjavascript-minifier-xs-perl/changelog.Debian.amd64.gz
/usr/share/doc/libjavascript-minifier-xs-perl/changelog.Debian.gz
/usr/share/doc/libjavascript-minifier-xs-perl/changelog.gz
/usr/share/doc/libjavascript-minifier-xs-perl/copyright
/usr/share/lintian/overrides/libjavascript-minifier-xs-perl
/usr/share/man/man3/JavaScript::Minifier::XS.3pm.gz

Changelog

2013-05-13 - gregor herrmann <gregoa@debian.org>
libjavascript-minifier-xs-perl (0.09-2) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
Closes: #708020
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Use debhelper 9.20120312 to get all hardening flags.
* Set Standards-Version to 3.9.4 (no changes).
* debian/copyright: switch formatting to Copyright-Format 1.0.
* Update years of packaging copyright.
* Add lintian override for hardening-no-fortify-functions.
2010-11-04 - Nicholas Bamber <nicholas@periapt.co.uk>
libjavascript-minifier-xs-perl (0.09-1) unstable; urgency=low
[ Ryan Niebur ]
* Update ryan52's email address
[ gregor herrmann ]
* debian/control: Changed: (build-)depend on perl instead of perl-
modules.
[ Ansgar Burchardt ]
* Use source format 3.0 (quilt).
* debian/copyright: Formatting changes for current DEP-5 proposal.
* Add build-dependendency on libmodule-build-perl (>= 0.350000).
[ Nicholas Bamber ]
* Added myself to Uploaders 
* New upstream release
* Upped standards version to 3.9.1
* Upped debhelper version and compat level to 8
* Simplified perl dependency
* Refreshed copyright
2009-09-19 - gregor herrmann <gregoa@debian.org>
libjavascript-minifier-xs-perl (0.06-1) unstable; urgency=low
[ Ryan Niebur ]
* New upstream release (closes: #546625).
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ gregor herrmann ]
* Set Standards-Version to 3.8.3 (no changes).
* Add /me to Uploaders.
2009-06-16 - Ryan Niebur <ryanryan52@gmail.com>
libjavascript-minifier-xs-perl (0.05-1) unstable; urgency=low
* Initial Release. (Closes: #531139)

See Also

Package Description
libjavascript-packer-perl_1.006003-2_all.deb module to compact JavaScript code
libjavascript-rpc-perl_0.10-1.1_all.deb Perl module to process Remote procedure calls from JavaScript
libjavascriptcoregtk-1.0-0_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-1.0-dev_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjavascriptcoregtk-3.0-0_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-3.0-bin_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+ - command-line interpreter
libjavascriptcoregtk-3.0-dev_2.4.9-1~deb8u1_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjavascriptcoregtk-4.0-18_2.6.2+dfsg1-4_amd64.deb JavaScript engine library from WebKitGTK+
libjavascriptcoregtk-4.0-bin_2.6.2+dfsg1-4_amd64.deb JavaScript engine library from WebKitGTK+ - command-line interpreter
libjavascriptcoregtk-4.0-dev_2.6.2+dfsg1-4_amd64.deb JavaScript engine library from WebKitGTK+ - development files
libjavassist-java-doc_3.12.1.ga-2_all.deb library for editing bytecodes in Java -- documentation
libjavassist-java_3.12.1.ga-2_all.deb library for editing bytecodes in Java
libjavatuples-java_1.2-1_all.deb javatuples
libjaxb-api-java_2.2.9-1_all.deb Java Architecture for XML Binding API
libjaxb-java-doc_2.2.5-1_all.deb JAXB Reference Implementation -- documentation
Advertisement
Advertisement